# Get tenant operation metrics

```http
GET /analytics/v1/operations/myorg
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetTenantOperationMetrics`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:s3:operations_analytics`

Returns S3 operation metrics for the authenticated tenant in the given time range, optionally resampled by window duration and grouped by tags

## Parameters

### Query parameters

- `from` (string, required) — Start of time range (RFC3339)
- `to` (string, required) — End of time range (RFC3339)
- `window` (string) — Resample window duration, e.g., 5m, 1h. Minutes and hours are the only supported units
- `groupBy` (string) — Group by fields (comma-separated): trafficClass,requesterTenantId

## Responses

### 200 — Operation metrics

Content type: `application/json`

- `series` (array of object)
  - items (object)
    - `samples` (array of object)
      - items (object)
        - `abortMultipartUpload` (integer)
        - `completeMultipartUpload` (integer)
        - `copyObject` (integer)
        - `createMultipartUpload` (integer)
        - `deleteObject` (integer)
        - `deleteObjectTagging` (integer)
        - `deleteObjects` (integer)
        - `getBucketLocation` (integer)
        - `getBucketVersioning` (integer)
        - `getObject` (integer)
        - `getObjectAttributes` (integer)
        - `getObjectLegalHold` (integer)
        - `getObjectLockConfiguration` (integer)
        - `getObjectRetention` (integer)
        - `getObjectTagging` (integer)
        - `headBucket` (integer)
        - `headObject` (integer)
        - `listBuckets` (integer)
        - `listMultipartUploads` (integer)
        - `listObjectVersions` (integer)
        - `listObjects` (integer)
        - `listObjectsV2` (integer)
        - `listParts` (integer)
        - `putObject` (integer)
        - `putObjectLegalHold` (integer)
        - `putObjectLockConfiguration` (integer)
        - `putObjectPart` (integer)
        - `putObjectRetention` (integer)
        - `putObjectTagging` (integer)
        - `rxBytes` (integer)
        - `timestamp` (string)
        - `txBytes` (integer)
        - `uploadPart` (integer)
        - `uploadPartCopy` (integer)
        - `windowSizeSeconds` (integer)
    - `tags` (object)
      - `requesterTenantId` (string)
      - `trafficClass` (string)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 401 — Unauthorized

Content type: `application/json`

- `message` (string)
